Bug 1050162 - [abrt] libreoffice-core: gtk_paint_box(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: gtk_paint_box(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 19
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e70596926fedb03827602d20414...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-08 18:48 UTC by Daniel
Modified: 2014-03-14 10:57 UTC (History)
6 users (show)

Fixed In Version: libreoffice-4.1.5.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-14 10:57:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (54.09 KB, text/plain)
2014-01-08 18:48 UTC, Daniel
no flags Details
File: cgroup (141 bytes, text/plain)
2014-01-08 18:48 UTC, Daniel
no flags Details
File: core_backtrace (25.83 KB, text/plain)
2014-01-08 18:48 UTC, Daniel
no flags Details
File: dso_list (27.79 KB, text/plain)
2014-01-08 18:48 UTC, Daniel
no flags Details
File: environ (2.42 KB, text/plain)
2014-01-08 18:48 UTC, Daniel
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-08 18:48 UTC, Daniel
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-08 18:49 UTC, Daniel
no flags Details
File: maps (81.95 KB, text/plain)
2014-01-08 18:49 UTC, Daniel
no flags Details
File: open_fds (541 bytes, text/plain)
2014-01-08 18:49 UTC, Daniel
no flags Details
File: proc_pid_status (804 bytes, text/plain)
2014-01-08 18:49 UTC, Daniel
no flags Details
File: var_log_messages (351 bytes, text/plain)
2014-01-08 18:49 UTC, Daniel
no flags Details

Description Daniel 2014-01-08 18:48:03 UTC
Description of problem:
Not a reproducible error -- I was using LibreOffice Writer with three documents open, and opening up some reference pdfs in Evince, when Writer just crashed without any notice or visible hanging-up or anything.

Version-Release number of selected component:
libreoffice-core-4.1.4.2-2.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer file:///tmp/CDR_SynthesisRetreat_Info.docx --splash-pipe=5
crash_function: gtk_paint_box
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.12.5-200.fc19.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_paint_box at gtkstyle.c:6203
 #1 GtkSalGraphics::NWPaintGTKButtonReal at /usr/src/debug/libreoffice-4.1.4.2/vcl/unx/gtk/gdi/salnativewidgets-gtk.cxx:1510
 #2 GtkSalGraphics::NWPaintGTKButton at /usr/src/debug/libreoffice-4.1.4.2/vcl/unx/gtk/gdi/salnativewidgets-gtk.cxx:1545
 #3 GtkSalGraphics::drawNativeControl at /usr/src/debug/libreoffice-4.1.4.2/vcl/unx/gtk/gdi/salnativewidgets-gtk.cxx:845
 #4 SalGraphics::DrawNativeControl at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/gdi/salgdilayout.cxx:704
 #5 OutputDevice::DrawNativeControl at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/gdi/outdevnative.cxx:301
 #6 PushButton::ImplDrawPushButton at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/control/button.cxx:1065
 #7 Window::ImplCallPaint at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/window/window.cxx:2470
 #13 Window::ImplCallOverlapPaint at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/window/window.cxx:2530
 #14 Window::ImplHandlePaintHdl at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/window/window.cxx:2557

Comment 1 Daniel 2014-01-08 18:48:12 UTC
Created attachment 847291 [details]
File: backtrace

Comment 2 Daniel 2014-01-08 18:48:14 UTC
Created attachment 847292 [details]
File: cgroup

Comment 3 Daniel 2014-01-08 18:48:21 UTC
Created attachment 847293 [details]
File: core_backtrace

Comment 4 Daniel 2014-01-08 18:48:33 UTC
Created attachment 847294 [details]
File: dso_list

Comment 5 Daniel 2014-01-08 18:48:43 UTC
Created attachment 847295 [details]
File: environ

Comment 6 Daniel 2014-01-08 18:48:46 UTC
Created attachment 847296 [details]
File: exploitable

Comment 7 Daniel 2014-01-08 18:49:00 UTC
Created attachment 847297 [details]
File: limits

Comment 8 Daniel 2014-01-08 18:49:14 UTC
Created attachment 847298 [details]
File: maps

Comment 9 Daniel 2014-01-08 18:49:17 UTC
Created attachment 847299 [details]
File: open_fds

Comment 10 Daniel 2014-01-08 18:49:19 UTC
Created attachment 847300 [details]
File: proc_pid_status

Comment 11 Daniel 2014-01-08 18:49:22 UTC
Created attachment 847301 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-01-08 20:59:41 UTC
somehow a NULL has crept in there as the target to paint to. There seems to be a timer so I guess something somewhere may have forgotten to turn off a timer that depends on a window after that window has gone away

Comment 13 Caolan McNamara 2014-01-08 21:06:28 UTC
based on that, added an assert and a safe early exit upstream. Seeing as it was a once off thing I won't backport to f19.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cb4aa944afe335da373b3e0bafea5360cb8d665

Comment 14 Daniel 2014-01-24 20:20:02 UTC
(In reply to Caolan McNamara from comment #13)
> based on that, added an assert and a safe early exit upstream. Seeing as it
> was a once off thing I won't backport to f19.
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=3cb4aa944afe335da373b3e0bafea5360cb8d665

Caolan,
It's no longer a once-off thing. It's just happened twice in the past day, while I've been doing a LOT of heavy LibreOffice work back and forth among multiple documents. Fortunately Auto Save has been working well, so I've only lost a couple of minutes' effort and none of my data.

Would it be possible to backport this to f19, or will it make it into an update relatively soon?

Best,
Daniel

Comment 15 David Tardon 2014-02-03 09:37:33 UTC
we will put the fix to F-19

Comment 16 Fedora Update System 2014-02-11 07:37:24 UTC
libreoffice-4.1.4.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.4.2-6.fc20

Comment 17 Fedora Update System 2014-02-11 07:37:43 UTC
libreoffice-4.1.4.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.4.2-6.fc19

Comment 18 Fedora Update System 2014-02-12 14:36:54 UTC
Package libreoffice-4.1.4.2-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.4.2-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2339/libreoffice-4.1.4.2-6.fc20
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2014-02-13 07:51:06 UTC
libreoffice-4.1.5.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.5.3-1.fc19

Comment 20 Fedora Update System 2014-02-22 18:17:21 UTC
libreoffice-4.1.5.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Daniel 2014-03-14 00:11:15 UTC
I've updated LibreOffice, and it still crashes occasionally with "soffice.bin killed by SIGSEGV" error messages

Here are two recent bugs with backtraces etc:
https://bugzilla.redhat.com/show_bug.cgi?id=1074124
https://bugzilla.redhat.com/show_bug.cgi?id=1076264

Comment 22 Caolan McNamara 2014-03-14 10:57:02 UTC
please don't reopen bugs on the basis that you still have a crash elsewhere. The problem here is not the same as your problem


Note You need to log in before you can comment on or make changes to this bug.